package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserRoleDatas;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserRoleDatas] 服务对象接口
 */
public interface IUserRoleDatasClientService{

    public IUserRoleDatas createModel() ;

    public void save(IUserRoleDatas userroledatas);

    public void create(IUserRoleDatas userroledatas);

    public void update(IUserRoleDatas userroledatas);

    public void checkKey(IUserRoleDatas userroledatas);

    public void get(IUserRoleDatas userroledatas);

    public void getDraft(IUserRoleDatas userroledatas);

    public void remove(IUserRoleDatas userroledatas);

    public Page<IUserRoleDatas> fetchDefault(SearchContext context);

}
